<section class="Inspired_by" style="padding: 40px 0px 20px">
  <div class="container" style="min-height: 310px;">
    <h3 class="custom_heading_text mb-3" style="font-size: 2rem;">Results for <span
        class="highlight">{{searchQueryParams?.search_keyword}}</span>
    </h3>

    <div class="row category_div_latest">
      <div class="col-md-8 noPading_mobile">
        <div class="search_result_dropdown">
          <div class="dropdown">
            <!-- (click)="openCategoryList()"  -->
            <button class="dropbtn category_dropdown">Category</button>
            <div id="myDropdown0" class="dropdown-content">
              <ul class="subcategories-list drop_body">
                <li class="item drop_body">
                  <a href="javascript:void(0)" class="selected drop_body" (click)="onCategoryClick(0)">All
                    Categories</a>
                  <span class="drop_body"> ({{all_categories_count}}) </span>
                </li>
                <ng-container *ngFor="let item of categoryList">
                  <li class="item drop_body">
                    <a href="javascript:void(0)" class="selected drop_body"
                      (click)="onCategoryClick(item.id)">{{item.category_name}}</a>
                    <span class="drop_body"> ({{item.gigs_count}}) </span>
                  </li>
                </ng-container>
              </ul>
            </div>
          </div>

          <div class="dropdown">
            <!-- (click)="onSellerDetailsClick()"  -->
            <button class="dropbtn Seller_Details_dropdown">Seller Details</button>
            <div id="myDropdown2" class="dropdown-content" style="min-width: 500px;">
              <div>
                <div class="service_option_div drop_body">
                  <div>
                    <div class="row drop_body">
                      <div class="col-md-12 drop_body noPading_mobile">
                        <h6 class="drop_body">Seller Level</h6>
                      </div>
                    </div>
                    <div class="row drop_body">
                      <ng-container *ngFor="let item of sellerLevelList">
                        <div class="col-md-6 drop_body noPading_mobile">
                          <div class="drop_body" style="white-space: nowrap;">
                            <input class="styled-checkbox drop_body" [(ngModel)]="item.value"
                              id="{{'checkBoxServiceLevel_'+item.id}}" type="checkbox"
                              [name]="'checkBoxServiceLevel_'+item.id">
                            <label class="drop_body" for="{{'checkBoxServiceLevel_'+item.id}}">{{item.level_name}} <span
                                class="count drop_body">({{item.user_count}})</span></label>
                          </div>
                        </div>
                      </ng-container>
                    </div>

                  </div>
                  <hr />
                  <div>
                    <div class="row drop_body">
                      <div class="col-md-12 drop_body noPading_mobile">
                        <h6 class="drop_body">Seller Speaks</h6>
                      </div>
                    </div>
                    <div class="row drop_body">
                      <ng-container *ngFor="let item of languageList">
                        <div class="col-md-6 drop_body noPading_mobile">
                          <div class="drop_body" style="white-space: nowrap;">
                            <input class="styled-checkbox drop_body" [(ngModel)]="item.value"
                              id="{{'checkBoxLang_'+item.id}}" type="checkbox" [name]="'checkBoxLang_'+item.id">
                            <label class="drop_body" for="{{'checkBoxLang_'+item.id}}">{{item.lang_name}} <span
                                class="count drop_body">({{item.user_count}})</span></label>
                            <!-- <input class="styled-checkbox" [(ngModel)]="item.checkBoxSilver" id="{{'checkBoxSilver_'+item.id}}" [name]="'checkBoxSilver_'+item.id" type="checkbox" >
                          <label for="{{'checkBoxSilver_'+item.id}}" style="z-index: 1;"> </label> -->
                          </div>
                        </div>
                      </ng-container>
                    </div>
                    <!-- <div class="row">
                      <div class="col-md-12 pd_0">
                        <a href="#" class="show_more_less">+25 more</a>
                      </div>
                    </div> -->
                  </div>
                  <hr />

                </div>
                <div class="service_option_div_footer drop_body">
                  <div class="container drop_body">
                    <div class="row drop_body">
                      <div class="col-md-6 drop_body noPading_mobile">
                        <h6 class="drop_body" (click)="onSellerDetailsClearAllClick()">Clear All</h6>
                      </div>
                      <div class="col-md-6 text-right drop_body noPading_mobile">
                        <button type="button" class="btn btn-success btn-sm drop_body"
                          style="background-color: #1dbf73 !important;"
                          (click)="onApplySellerDetailsClick()">Apply</button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="dropdown">
            <!-- (click)="onBudgetClick()"  -->
            <button class="dropbtn Budget_dropdown">Budget</button>
            <div id="myDropdown3" class="dropdown-content" style="min-width: 315px;">
              <div>
                <div class="service_option_div drop_body" style="height: auto;">
                  <div>
                    <div class="row drop_body">
                      <div class="col-md-6 drop_body noPading_mobile">
                        <label class="drop_body" style="width: 100%;margin-bottom: 1px;">Min ( <i class="fa fa-inr"></i>
                          )</label>
                        <input type="text" class="form-control drop_body" placeholder="Any" [(ngModel)]="minBudget"
                          name="minBudget">
                      </div>
                      <div class="col-md-6 drop_body noPading_mobile">
                        <label class="drop_body" style="width: 100%;margin-bottom: 1px;">Max ( <i class="fa fa-inr"></i>
                          )</label>
                        <input type="text" class="form-control drop_body" placeholder="Any" [(ngModel)]="maxBudget"
                          name="maxBudget">
                      </div>
                    </div>
                  </div>
                </div>
                <div class="service_option_div_footer drop_body">
                  <div class="container drop_body">
                    <div class="row drop_body">
                      <div class="col-md-6 drop_body noPading_mobile">
                        <h6 class="drop_body" (click)="onBudgetClearAllClick()">Clear All</h6>
                      </div>
                      <div class="col-md-6 text-right drop_body noPading_mobile">
                        <button type="button" class="btn btn-success btn-sm drop_body"
                          style="background-color: #1dbf73 !important;" (click)="onBudgetApplyClick()">Apply</button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="dropdown">
            <!-- (click)="onDeliveryTime()"  -->
            <button class="dropbtn delivery_time_dropdown" id="delivery_time_btn">Delivery Time</button>
            <div id="myDropdown4" class="dropdown-content" style="min-width: 230px;">
              <div>
                <div class="service_option_div drop_body" style="height: auto;">
                  <div>
                    <div class="row drop_body">
                      <div class="col-md-12 drop_body noPading_mobile">
                        <ng-container *ngFor="let item of servicedeliveryList">
                          <div style="white-space: nowrap;" class="drop_body">
                            <input class="styled-checkbox drop_body" [(ngModel)]="item.value"
                              id="{{'checkBoxDeliveryTime_'+item.id}}" type="checkbox"
                              [name]="'checkBoxDeliveryTime_'+item.id">
                            <label class=" drop_body"
                              for="{{'checkBoxDeliveryTime_'+item.id}}">{{item.service_delivery_name}}</label>
                          </div>
                        </ng-container>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="service_option_div_footer drop_body">
                  <div class="container drop_body">
                    <div class="row drop_body">
                      <div class="col-md-6 drop_body noPading_mobile">
                        <h6 class="drop_body" (click)="onDeliveryTimeClearAllClick()">Clear All</h6>
                      </div>
                      <div class="col-md-6 text-right drop_body noPading_mobile">
                        <button type="button" class="btn btn-success btn-sm drop_body"
                          style="background-color: #1dbf73 !important;" (click)="onDeliveryApplyClick()">Apply</button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>
      <div class="col-md-4 noPading_mobile text-right">

        <div class="row">
          <div class="col-md-12 noPading_mobile">
            <div class="form-group">
              <div class="sort_by_div_css">
                <h6 class="sort_by_text_new">Sort By</h6>
                <select class="form-control" style="border-radius: 0px;" (change)="onSortByChange()"
                  [(ngModel)]="sortById" name="sortById">
                  <option value="1">Best Selling</option>
                  <option value="2">Highest Rated</option>
                  <option value="4">Most Relevant</option>
                  <option value="3">Latest Arrivals</option>
                </select>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>


    <!-- <div class="row mt-3">
      <div class="col-md-6">
        <div class="form-group">
          <h6 class="number-of-results">10,175 Services available</h6>
        </div>
      </div>

    </div> -->


    <div class="row" *ngIf="result!=null && result!=undefined">
      <ng-container *ngFor="let item of result">
        <div class="col-md-3 col-xs-12 noPading_mobile">
          <div class="custom_card_div">
            <div class="img_div">
              <img src="{{item.gallery[0]?.file_path}}">
              <a *ngIf="item.is_favourite==true" (click)="tagFavourite(item, item.is_favourite==true?false:true)"
                class="favourite_icon" target="_self">
                <i class="fa fa-heart" style="color: #ff7e41;"></i>
              </a>
              <a *ngIf="item.is_favourite==false" (click)="tagFavourite(item, item.is_favourite==true?false:true)"
                class="favourite_icon" target="_self">
                <i class="fa fa-heart-o"></i>
              </a>
            </div>
            <div class="content_div">
              <div class="card_heading_text">
                <h5 (click)="onGigClick(item.id,item.gig_status?.id)">{{item.title}}</h5>
                <div class="by_text"><i> by </i><a class="by_text_person_name" href="javascript:void(0)" rel="nofollow"
                    (click)="onSellerClick(item.created_by?.id)">{{item.created_by?.user_name}}</a>
                  <!-- <span> | </span>
                    <a href="javascript:void(0)"
                    class="level_of_person">Level {{item.created_by?.level.level_name}}</a> -->
                </div>
              </div>
              <div class="Price_and_star_container">
                <div class="row">
                  <div class="col-md-6 col-xs-6 noPading_mobile" (click)="onGigClick(item.id,item.gig_status?.id)">
                    <div class="stars_container" *ngIf="item.rating>0">{{getStar(item.rating)}}
                      <span [innerHtml]="printStar">
                      </span> ({{item.total_views}})
                    </div>
                    <div class="stars_container_empty"
                      *ngIf="item.rating==0 || item.rating==null || item.rating=='' || item.rating==undefined">
                      {{getEmptyStar()}}
                      <span [innerHtml]="printStarEmpty">
                      </span> <span class="star_counts">(0)</span>
                    </div>
                  </div>
                  <div class="col-md-6 col-xs-6 text-right noPading_mobile" (click)="onGigClick(item.id,item.gig_status?.id)">
                    <h4>                      
                      {{item.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}
                    </h4>
                  </div>
                  <!-- <div class="col-md-6 text-left" (click)="onGigClick(item.id)">
                    <h4><i class="fa fa-inr"></i> {{item.gigs_pricing[0]?.price.toString().replace('.00','')}}</h4>
                  </div> -->
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-container>
      <div class="No_gig_display" style="top: 55%;left: 50%;" *ngIf="result!=undefined">
        <i class="fa fa-user" *ngIf="result.length==0"></i>
        <h1 class="" *ngIf="result.length==0">No Gig to display</h1>
      </div>
    </div>
  </div>
</section>
<section *ngIf="result!=undefined" style="text-align: center;">
  <!-- <div>
    No Records Found.
  </div> -->
  <div class="No_gig_display" style="top: 55%;left: 50%;" *ngIf="result.length==0">
    <i class="fa fa-user"></i>
    <h1 class="">No Gig to display</h1>
  </div>
</section>

<section class="pegination_section">
  <nav class="blog-pagination justify-content-center d-flex" *ngIf="result!=undefined">
    <ul class="pagination" *ngIf="pageNumberArray.legth>0">
      <li class="page-item">
        <a href="javascript:void(0)" class="page-link" aria-label="Previous" (click)="onPreviousPageClick()">
          <i class="ti-angle-left"></i>
        </a>
      </li>
      <li class="page-item page_no" *ngFor="let item of pageNumberArray">
        <a href="javascript:void(0)"
          [attr.class]="(item.pageNumber==currentPageNumber)?'page-link activePagination':'page-link'"
          (click)="onPageNumberClick(item.pageNumber)">{{item.pageNumber}}</a>
      </li>
      <!-- <li class="page-item ">
              <a href="#" class="page-link">2</a>
          </li>
          <li class="page-item">
              <a href="#" class="page-link">3</a>
          </li>
          <li class="page-item">
              <a href="#" class="page-link">4</a>
          </li>
          <li class="page-item">
              <a href="#" class="page-link">5</a>
          </li>
          <li class="page-item">
              <a href="#" class="page-link">6</a>
          </li> -->
      <li class="page-item">
        <a href="javascript:void(0)" class="page-link" aria-label="Next" (click)="onNextPageClick()">
          <i class="ti-angle-right"></i>
        </a>
      </li>
    </ul>
  </nav>
</section>



<!-- <section class="footer-area section_padding">
  <div class="container">
      <div class="row">
          <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget">
              <h4>Office Address</h4>
              <p>Unit #2, 2nd floor, Jyoti Wire house, Plot No. 23 A, Shah Industrial Estate, Veera Desai Road, Andheri (West), Mumbai- 400 053</p>
              <p style="margin-bottom: 0;"><a href="tel:+91 22 426589115" style="color: #3e3e3e;"><i class="fa fa-phone-square"></i> +91 22 40822100-103</a></p>
              <p style="margin-bottom: 0;"><i class="fa fa-fax"></i> +91 22 26875611</p>
              <p style="margin-bottom: 0;"><a href="mailto:info@benchmarksolution.com" style="color: #3e3e3e;"><i class="fa fa-envelope"></i> info@benchmarksolution.com</a></p>
          </div>
          <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget" style="border-left:1px solid #ccc;padding-left: 20px;">
              <h4 style="width: 100%;">Popular Services</h4>
              <ul style="columns: 2;">
                  <li><a href="#">Web Designing</a></li>
                  <li><a href="#">Illustration</a></li>
                  <li><a href="#">Translation</a></li>
                  <li><a href="#">Logo Design</a></li>
                  <li><a href="#">Photoshop Editing</a></li>
                  <li><a href="#">Web Banner</a></li>
                  <li><a href="#">Video Editing</a></li>
                  <li><a href="#">Logo Animation</a></li>
              </ul>
          </div>
          <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget" style="border-left:1px solid #ccc;border-right:1px solid #ccc;padding-left: 20px;">
              <h4 style="width: 100%;">Important Links</h4>
              <ul style="columns: 2;">
                  <li><a href="about.html">About Us</a></li>
                  <li><a href="contact.html">Contact Us</a></li>
                  <li><a href="terms_of_service.html">Terms of Service</a></li>
                  <li><a href="terms_And_conditions.html">Terms & Conditions</a></li>
                  <li><a href="help_and_support.html">Help & Support</a></li>
                  <li><a href="trust_safety.html">Trust & Safety</a></li>
                  <li><a href="#">Selling on TaskIT</a></li>
                  <li><a href="#">Buying on TaskIT</a></li>
              </ul>
          </div>
          <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget" style="padding-left: 20px;">
              <h4>Follow Us On</h4>
              <ul class="social-icons">
                  <li><a href="#" target="_blank"><i class="fa fa-facebook-square footer_social_icon"></i></a></li>
                <li><a href="#" target="_blank"><i class="fa fa-twitter-square footer_social_icon"></i></a></li>
                <li><a href="#" target="_blank"><i class="fa fa-instagram footer_social_icon"></i></a></li>
                <li><a href="#" target="_blank"><i class="fa fa-linkedin-square footer_social_icon"></i></a></li>
              </ul>
              <a href="/" class="footer-logo">
                  <img src="/assets/img/logo_footer.svg" class="img-responsive mt-3" width="135" alt="TaskIT Logo">
              </a>
          </div>
      </div>
  </div>
  <div class="container-fluid copyright_area">
      <div class="row">
          <div class="col-lg-12 col-md-12 text-center">
              <p>Copyright &copy;<script>document.write(new Date().getFullYear());</script> All rights reserved </p>
          </div>
      </div>
  </div>
</section> -->
<!-- <section class="footer-area section_padding">
  <div class="container">
    <div class="row">
      <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget offset-2" style="padding-left: 20px;">
        <h4 style="width: 100%;">Company</h4>
        <ul>
          <li><a href="about.html">About Us</a></li>
          <li><a href="contact.html">Contact Us</a></li>
        </ul>
      </div>
      <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget" style="padding-left: 20px;">
        <h4 style="width: 100%;">More</h4>
        <ul>

          <li><a href="terms_of_service.html">Privacy Policy</a></li>
          <li><a href="terms_And_conditions.html">Terms & Conditions</a></li>
          <li><a href="help_and_support.html">Help & Support</a></li>
        </ul>
      </div>
      <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget" style="padding-left: 20px;">
        <h4>Follow Us On</h4>
        <ul class="social-icons">
          <li><a href="#" target="_blank"><i class="fa fa-facebook-square footer_social_icon"></i></a></li>
          <li><a href="#" target="_blank"><i class="fa fa-twitter-square footer_social_icon"></i></a></li>
          <li><a href="#" target="_blank"><i class="fa fa-instagram footer_social_icon"></i></a></li>
          <li><a href="#" target="_blank"><i class="fa fa-linkedin-square footer_social_icon"></i></a></li>
        </ul>
        <a href="/" class="footer-logo">
          <img src="/assets/img/logo_footer.svg" class="img-responsive mt-3" width="135" alt="TaskIT Logo">
        </a>
      </div>
    </div>
  </div>
  <div class="container-fluid copyright_area">
    <div class="row">
      <div class="col-lg-12 col-md-12 text-center">
        <p>Copyright &copy;
          <script>document.write(new Date().getFullYear());</script> All rights reserved
        </p>
      </div>
    </div>
  </div>
</section> -->